<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="degreePrice.aspx.cs" Inherits="PPFOR.Admin.CustomView.degreePrice" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>会员价格</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />    
    <link href="../Css/global.css" rel="stylesheet" type="text/css" /> 
    <script type="text/javascript">
    function checkDegreePrice(degreeIdArray,arg)
    {
        var degreePriceArray={};
        if(degreeIdArray!=null && degreeIdArray.length>0){
            for(var i=0;i<degreeIdArray.length;i++){
                var objPrice=document.getElementById('price_' + degreeIdArray[i]);
                if(objPrice!=null){
                    degreePriceArray[degreeIdArray[i]]=objPrice.value!=''?objPrice.value:-1;
                }
            }
        }
        if(arg!=null && arg!=''){
            parent.setDegreePrice(degreePriceArray,arg);
        }else{
            parent.setDegreePrice(degreePriceArray);
        }
        parent.popup_close();
        return false;
    }
    function checkIsMoney(obj,defValue)
    {
        if(obj!=null && obj.type=="text")
        {
            if(obj.value.replace(/\s*/g,'')==''){
                obj.value='';
                return;
            }
            var r=/[^\d]*([\d]{1,15})([.][\d]{1,3})?/; 
            var value=obj.value;
            var P=value.match(r);                 
            if(P==null|| ((P[1]==null || P[1]=='') && (P[2]==null || P[2]==''))){  
                value=(defValue!=null&&typeof(defValue)=='number')?defValue:'0.000';
            }else{
                value=((P[1]==null||P[1]=='')?'0':P[1])+((P[2]==null||P[2]=='')?'.000':P[2]);
            }
            try{               
                if(!isNaN(parseFloat(value)) && value>0 && value<=922337203685477.5807){
                    obj.value=value;
                }
                else{
                    obj.value='0.000';
                }
            }catch(e){
                obj.value='0.000';
            }
        }
    }
    </script>
</head>
<body>
<form id="form1" runat="server">
    <center>
    <asp:Label ID="PPFOR_showDegreePriceList" runat="server"></asp:Label>  
    </center>
</form>
</body>
</html>